/*
 * Copyright 2020 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */
#include "pydoc_macros.h"
#define D(...) DOC(gr, filter, __VA_ARGS__)
/*
  This file contains placeholders for docstrings for the Python bindings.
  Do not edit! These were automatically extracted during the binding process
  and will be overwritten during the build process
 */


static const char* __doc_gr_filter_hilbert_fc = R"doc(Hilbert transformer.

real output is input appropriately delayed. imaginary output is hilbert filtered (90 degree phase shift) version of input.

Constructor Specific Documentation:

Build a Hilbert transformer filter block.

Args:
    ntaps : The number of taps for the filter.
    window : Window type (see fft::window::win_type) to use.
    param : Parameter value for a Kaiser/Exp/Gaussian/Tukey window.)doc";


static const char* __doc_gr_filter_hilbert_fc_hilbert_fc = R"doc()doc";


static const char* __doc_gr_filter_hilbert_fc_make = R"doc(Hilbert transformer.

real output is input appropriately delayed. imaginary output is hilbert filtered (90 degree phase shift) version of input.

Constructor Specific Documentation:

Build a Hilbert transformer filter block.

Args:
    ntaps : The number of taps for the filter.
    window : Window type (see fft::window::win_type) to use.
    param : Parameter value for a Kaiser/Exp/Gaussian/Tukey window.)doc";
