/*
 * Copyright 2021 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */
#include "pydoc_macros.h"
#define D(...) DOC(gr, uhd, __VA_ARGS__)
/*
  This file contains placeholders for docstrings for the Python bindings.
  Do not edit! These were automatically extracted during the binding process
  and will be overwritten during the build process
 */


static const char* __doc_gr_uhd_rfnoc_block = R"doc(Base class for RFNoC blocks controlled by GNU Radio


Any GNU Radio block that is meant to control an RFNoC block should be derived from this class.)doc";


static const char* __doc_gr_uhd_rfnoc_block_make_block_ref = R"doc(Factory function to create a UHD block controller reference.)doc";


static const char* __doc_gr_uhd_rfnoc_block_get_unique_id = R"doc(Return the unique ID of the underlying block)doc";


static const char* __doc_gr_uhd_rfnoc_block_general_work = R"doc(This method should never be called by RFNoC blocks, they do the work.)doc";
